# Uses of Class
org.eclipse.jface.viewers.LabelProviderChangedEvent

Packages that use LabelProviderChangedEvent
Package
Description
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.ui.navigator
Provides the Common Navigator framework.
org.eclipse.ui.views.properties.tabbed
Provides the Tabbed Properties framework.

## Uses of LabelProviderChangedEvent in org.eclipse.jface.viewers

Methods in org.eclipse.jface.viewers with parameters of type LabelProviderChangedEvent
Modifier and Type
Method
Description
`protected void`
BaseLabelProvider.`fireLabelProviderChanged(LabelProviderChangedEvent event)`
Fires a label provider changed event to all registered listeners Only listeners registered at the time this method is called are notified.
`protected void`
ContentViewer.`handleLabelProviderChanged(LabelProviderChangedEvent event)`
Handles a label provider changed event.
`protected void`
StructuredViewer.`handleLabelProviderChanged(LabelProviderChangedEvent event)`
The `StructuredViewer` implementation of this `ContentViewer` method calls `update` if the event specifies that the label of a given element has changed, otherwise it calls super.
`void`
ILabelProviderListener.`labelProviderChanged(LabelProviderChangedEvent event)`
Notifies this listener that the state of the label provider has changed in a way that affects the labels it computes.

## Uses of LabelProviderChangedEvent in org.eclipse.ui.navigator

Methods in org.eclipse.ui.navigator with parameters of type LabelProviderChangedEvent
Modifier and Type
Method
Description
`protected void`
CommonViewer.`handleLabelProviderChanged(LabelProviderChangedEvent event)`

## Uses of LabelProviderChangedEvent in org.eclipse.ui.views.properties.tabbed

Methods in org.eclipse.ui.views.properties.tabbed with parameters of type LabelProviderChangedEvent
Modifier and Type
Method
Description
`void`
TabbedPropertySheetPage.`labelProviderChanged(LabelProviderChangedEvent event)`